Package org.apache.tapestry5.corelib.components

## Class PropertyEditor

- java.lang.Object
- - org.apache.tapestry5.corelib.components.PropertyEditor

-     public class PropertyEditor
      extends java.lang.Object

  Used to edit a single property of a bean. This is used primarily by `BeanEditForm`. Unlike BeanEditForm, the object to be edited must already exist and the model must be passed in explicitly.

  Component Parameters
  Name | Type | Flags | Default | Default Prefix
  --- | --- | --- | --- | ---
  beanBlockSource | org.apache.tapestry5.services.BeanBlockSource | Required, Not Null |  | prop
  Source for property editor blocks. This defaults to the default implementation of org.apache.tapestry5.services.BeanBlockSource.
  model | org.apache.tapestry5.beanmodel.BeanModel | Required, Not Null |  | prop
  The model that identifies the parameters to be edited, their order, and every other aspect.
  object | Object | Required, Not Null |  | prop
  The object to be edited by the BeanEditor. This will be read when the component renders and updated when the form for the component is submitted. Typically, the container will listen for a "prepare" event, in order to ensure that a non-null value is ready to be read or updated.
  overrides | org.apache.tapestry5.PropertyOverrides | Not Null | this | prop
  Where to search for local overrides of property editing blocks as block parameters. This is normally the containing component of the PropertyEditor, but when the component is used within a BeanEditor, it will be the BeanEditor's block parameters that will be searched.
  property | String | Required |  | prop
  Identifies the property to be edited by the editor.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PropertyEditor()` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PropertyEditor

          public PropertyEditor()